FROM squidfunk/mkdocs-material:latest

# Alpine-Pakete für WeasyPrint
RUN apk add --no-cache \
    pango \
    pango-dev \
    cairo \
    cairo-dev \
    gdk-pixbuf \
    gdk-pixbuf-dev \
    jpeg-dev \
    zlib-dev \
    libffi-dev

# Plugin installieren
RUN pip install --no-cache-dir mkdocs-to-pdf

WORKDIR /docs
